.\"	$NetBSD: crash.8,v 1.1 2009/03/07 22:08:08 ad Exp $
.\"
.\" Copyright (c) 2009 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Andrew Doran.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 7, 2009
.Dt CRASH 8
.Os
.Sh NAME
.Nm crash
.Nd examine and debug system images
.Sh SYNOPSIS
.Nm
.Op Fl M Ar core
.Op Fl N Ar system
.Sh DESCRIPTION
The
.Nm
command is used to examine and debug system images.
.Pp
If run without any arguments,
.Nm
operates on the running system.
.Pp
The options are as follows:
.Bl -tag -width xpalidocious
.It Fl M Ar core
Operate on the specified crash dump instead of the default
.Pa /dev/mem .
Crash dumps should be from the same version of the system and same machine
architecture as the running version of
.Nm crash ,
and must be uncompressed.
.It Fl N Ar kernel
Extract the name list from the specified kernel instead of the default
.Pa /dev/ksyms .
.El
.Pp
The command syntax used by
.Nm
is the same as the in-kernel debugger.
See the
.Xr ddb 4
manual page for more information.
.Pp
Operations and facilities that require a running system, such as breakpoints,
are not supported by
.Nm crash .
.Pp
.Nm
does not provide pagination.
However, by using the pipe symbol, output may be sent to commands available
from the shell.
For example:
.Bd -literal -offset abcd
crash\*[Gt] ps | more
crash\*[Gt] ps | grep ioflush
.Ed
.Sh SEE ALSO
.Xr ps 1 ,
.Xr vmstat 1 ,
.Xr ddb 4 ,
.Xr pstat 8
.Sh HISTORY
The
.Nm
command appeared in
.Nx 6.0 .
